## Type encoding_type

zeep::encoding_type — the (admittedly limited) set of supported text encodings in libzeep

## Synopsis

    // In header: <zeep/unicode-support.hpp>

    enum encoding_type { ASCII, UTF8, UTF16BE, UTF16LE, ISO88591 };

## Description

these are the supported encodings. Perhaps we should extend this list a bit?

`ASCII`
  7-bit ascii
`UTF8`
  UTF-8.
`UTF16BE`
  UTF-16 Big Endian.
`UTF16LE`
  UTF 16 Little Endian.
`ISO88591`
  Default single byte encoding, is a subset of utf-8.